Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: gcc-c++
BuildRequires: boost-python-devel
Name:           vegastrike
Version:        0.5.0
Release:        alt1_21.1
Summary:        3D OpenGL spaceflight simulator
Group:          Games/Other
License:        GPLv2+
URL:            http://vegastrike.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.tar.bz2
# Found in the mandriva srpm, origin Debian ?
Source1:        %{name}-manpages.tar.bz2
Source2:        %{name}-wrapper.sh
Source3:        %{name}.desktop
Patch0:         vegastrike-0.4.2-char-fix.patch
Patch1:         vegastrike-0.4.2-paths-fix.patch
Patch2:         vegastrike-0.4.2-posh-fix.patch
Patch3:         vegastrike-0.4.2-vssetup-fix.patch
Patch4:         vegastrike-0.4.3-64-bit.patch
Patch5:         vegastrike-0.4.3-openal.patch
Patch6:         vegastrike-0.4.3-sys-python.patch
Patch7:         vegastrike-0.5.0-boost-make_shared.patch
Patch8:         vegastrike-0.5.0-gcc44.patch
Patch9:         vegastrike-0.5.0-glext.patch
Patch10:        vegastrike-0.5.0-gcc45.patch
Patch11:        vegastrike-0.5.0-gcc46.patch
BuildRequires:  libGLU-devel freeglut-devel libXi-devel libXmu-devel gtk2-devel
BuildRequires:  libjpeg-devel libpng-devel boost-devel expat-devel python-devel
BuildRequires:  libSDL_mixer-devel libopenal-devel libalut-devel
BuildRequires:  libvorbis-devel libogre-devel cegui-devel desktop-file-utils
Requires:       %{name}-data = %{version} icon-theme-hicolor xdg-utils
Requires:       opengl-games-utils
Source44: import.info


%description
Vega Strike is a GPL 3D OpenGL Action RPG space sim that allows a player to
trade and bounty hunt. You start in an old beat up Wayfarer cargo ship, with
endless possibility before you and just enough cash to scrape together a life.
Yet danger lurks in the space beyond.


%prep
%setup -q -a 1 -n %{name}-source-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
iconv -f ISO-8859-1 -t UTF-8 README > README.tmp
touch -r README README.tmp
mv README.tmp README
sed -i 's/-lboost_python-st/-lboost_python/g' Makefile.in
# we want to use the system version of expat.h
rm objconv/mesher/expat.h

%build
export LDFLAGS="$LDFLAGS -Wl,--no-as-needed"
FLAGS="-DBOOST_PYTHON_NO_PY_SIGNATURES %optflags"
%configure --with-data-dir=%{_datadir}/%{name} --with-boost=system \
  --enable-release --enable-flags="$FLAGS" --disable-ffmpeg \
  --enable-stencil-buffer
make %{?_smp_mflags} CXXLD="g++ -Wl,--no-as-needed"


%install
#make install PREFIX=$RPM_BUILD_ROOT doesn't work
%makeinstall
install -p -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/%{name}
chmod +x $RPM_BUILD_ROOT%{_prefix}/objconv/*
mv $RPM_BUILD_ROOT%{_prefix}/objconv/* \
  $RPM_BUILD_ROOT%{_libexecdir}/%{name}
for i in asteroidgen base_maker mesh_xml mesher replace tempgen trisort \
         vsrextract vsrmake; do
  mv $RPM_BUILD_ROOT%{_bindir}/$i $RPM_BUILD_ROOT%{_libexecdir}/%{name}
done

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
install -p -m 644 *.6 $RPM_BUILD_ROOT%{_mandir}/man6

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install             \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE3}


%files
%doc AUTHORS COPYING DOCUMENTATION README ToDo.txt
%{_bindir}/vega*
%{_bindir}/vs*
%{_libexecdir}/%{name}
%{_mandir}/man6/*
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Mar 25 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.5.0-alt1_21.1
- Rebuilt with Boost 1.46.1

* Wed Feb 16 2011 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_21
- converted from Fedora by srpmconvert script

